//draw top info/selector bar
draw_set_color(make_color_rgb(24, 80, 64));
draw_rectangle(0, 0, 255, 8, 0);
//draw_set_color(c_white);
//draw_set_font(global.fnt_mwtiny);
//draw_set_halign(fa_left);
//draw_text(256, 1, "TEXT GOES HERE AND MORE TEXT");

//draw display texts
draw_set_color(global.c_txt_mid);
draw_set_font(global.fnt_mwtiny);
draw_set_halign(fa_left);
draw_text(204, 12, string_hash_to_newline("OW>"));
draw_text(84, 34, string_hash_to_newline("^1"));
draw_text(120, 34, string_hash_to_newline("^2"));
draw_text(224, 32, string_hash_to_newline(string(global.net_socketid)));
draw_text(248, 32, string_hash_to_newline(string(global.net_playerid)));

if(global.srl_mode){
    draw_set_color(c_lime);
    draw_text(130, 34, string_hash_to_newline("SRL MODE ON"));
}

//draw overworld item box label icons
draw_sprite(s_icon_itembox, 5, 191, 32);
draw_sprite(s_icon_armos, 0, 203, 32);
draw_sprite(s_icon_itembox, 15, 215, 32);

//draw location bar background
draw_set_color(make_color_rgb(144, 8, 80));
draw_rectangle(0, 40, 255, 47, 0);

//draw dungeon stuff
if(global.curr_map != 0 && global.curr_map < 10){
    draw_set_color(global.c_txt_mid);
    draw_set_font(global.fnt_mwtiny);
    draw_set_halign(fa_left);
    draw_text(142, 54, string_hash_to_newline("1st >"));
    draw_text(142, 64, string_hash_to_newline("2nd >"));
    
    draw_set_color(c_white);
    inst_deglitch = instance_position(mouse_x, mouse_y, o_btn_tr_dungeon_cell);
    if(inst_deglitch != noone){
        draw_text(0, 41, string_hash_to_newline("DGN. MAP " + string(global.curr_map) + "(" + string(inst_deglitch.cell_num div 8) + string(inst_deglitch.cell_num mod 8) + ")"));
    }
    else{
        draw_text(0, 41, string_hash_to_newline("I AM ERROR."));
    }
    
    //draw location guide
    for(i = 0; i < 8; i += 1){
        draw_sprite_ext(s_map_dgn_guide, i, i * 18, 160, 1, 1, 0, ds_grid_get(global.inst_ctrl_tracker.grd_dgn_colors, 0, global.curr_map - 1), 1);
    }
    
    //draw level number text
    draw_set_halign(fa_right);
    if(ds_grid_get(grd_auto_dgnlevels, 0, global.curr_map - 1) == 0){
        draw_text(256, 162, string_hash_to_newline("AUTO: LEVEL-?"));
    }
    else{
        draw_text(256, 162, string_hash_to_newline("AUTO: LEVEL-" + string(ds_grid_get(grd_auto_dgnlevels, 0, global.curr_map - 1))));
    }
    
    //draw palette info
    draw_set_halign(fa_left);
    draw_text(189, 169, string_hash_to_newline("AUTO PAL:"));
    draw_set_color(ds_grid_get(grd_auto_dgnpals, 0, ((global.curr_map - 1) * 4)));
    draw_rectangle(224, 168, 230, 174, 0);
    draw_set_color(ds_grid_get(grd_auto_dgnpals, 0, (1 + (global.curr_map - 1) * 4)));
    draw_rectangle(232, 168, 238, 174, 0);
    draw_set_color(ds_grid_get(grd_auto_dgnpals, 0, (2 + (global.curr_map - 1) * 4)));
    draw_rectangle(240, 168, 246, 174, 0);
    draw_set_color(ds_grid_get(grd_auto_dgnpals, 0, (3 + (global.curr_map - 1) * 4)));
    draw_rectangle(248, 168, 254, 174, 0);
}

//draw fps
draw_set_color(c_white);
draw_set_font(global.fnt_mwtiny);
draw_set_halign(fa_left);
draw_text(232, 24, string_hash_to_newline(string(fps) + "FPS"));

//draw hints screen info if on the correct view
if(global.curr_map == 14){
    draw_text(1, 52, string_hash_to_newline("L1:"));
    draw_text(1, 64, string_hash_to_newline("L2:"));
    draw_text(1, 76, string_hash_to_newline("L3:"));
    draw_text(1, 88, string_hash_to_newline("L4:"));
    draw_text(1, 100, string_hash_to_newline("L5:"));
    draw_text(1, 112, string_hash_to_newline("L6:"));
    draw_text(1, 124, string_hash_to_newline("L7:"));
    draw_text(1, 136, string_hash_to_newline("L8:"));
    draw_text(1, 148, string_hash_to_newline("L9:"));
    draw_text(49, 52, string_hash_to_newline("(AQUAMENTUS AWAITS)"));
    draw_text(49, 64, string_hash_to_newline("(DODONGO DWELLS)"));
    draw_text(49, 76, string_hash_to_newline("(MANHANDLA THREATENS)"));
    draw_text(49, 88, string_hash_to_newline("(GLEEOK AWAITS)"));
    draw_text(49, 100, string_hash_to_newline("(DIGDOGGER GAZES)"));
    draw_text(49, 112, string_hash_to_newline("(GOHMA CREEPS)"));
    draw_text(49, 124, string_hash_to_newline("(GORIYA GRUMBLES)"));
    draw_text(49, 136, string_hash_to_newline("(GLEEOK RETURNS)"));
    draw_text(49, 148, string_hash_to_newline("(ENTRANCE TO DEATH)"));
}

//draw bottom info bar

//background
draw_set_color(make_color_rgb(20, 24, 24));
draw_rectangle(0, 176, 255, 207, 0);

//horizontal separators
draw_set_color(make_color_rgb(96, 112, 112));
draw_line(-1, 183, 181, 183);
draw_line(-1, 191, 181, 191);
draw_line(-1, 199, 181, 199);
draw_line(-1, 207, 181, 207);

//vertical separators
draw_line(65, 175, 65, 207);
draw_line(158, 175, 158, 207);

//set draw stuff
draw_set_color(c_white);
draw_set_font(global.fnt_mwtiny);
draw_set_halign(fa_left);

//vertical separators
draw_line(89, 175, 89, 207);
draw_line(182, 175, 182, 207);

//player locations
str = "";

//0
if(global.playermaptype[0] == 1){
    if(global.playerowpos[0] >= 0 && global.playerowpos[0] < 128){
        str = "OW-" + zh_get_hex_char(global.playerowpos[0]);
    }
    else{
        str = "OW-??";
    }
}
else if(global.playermaptype[0] == 2){
    str = "L";
    if(global.playerdgnmap[0] >= 0 && global.playerdgnmap[0] < 9){
        if(ds_grid_get(grd_dgn_nums, 0, global.playerdgnmap[0]) != -1 && global.playerdgnpos[0] >= 0 && global.playerdgnpos[0] < 64){
            dnum = ds_grid_get(grd_dgn_nums, 0, global.playerdgnmap[0]);
            if(dnum > 8){ //correct for 2nd quest
                dnum -= 9;
            }
            str += string(dnum + 1) + "-";
        }
        else if(ds_grid_get(grd_auto_dgnlevels, 0, global.playerdgnmap[0]) != 0 && global.playerdgnpos[0] >= 0 && global.playerdgnpos[0] < 64){
            str += string(ds_grid_get(grd_auto_dgnlevels, 0, global.playerdgnmap[0])) + "-";
        }
        else{
            str += "?-";
        }
    }
    else{
        str += "?-";
    }
    if(global.playerdgnpos[0] >= 0 && global.playerdgnpos[0] < 64){
        str += zh_get_hex_char(global.playerdgnpos[0] + (8 * (global.playerdgnpos[0] div 8)));
    }
    else{
        str += "??";
    }
}
else{
    str = "??-??";
}
draw_text(68, 177, string_hash_to_newline(str));

//1
if(global.playermaptype[1] == 1){
    if(global.playerowpos[1] >= 0 && global.playerowpos[1] < 128){
        str = "OW-" + zh_get_hex_char(global.playerowpos[1]);
    }
    else{
        str = "OW-??";
    }
}
else if(global.playermaptype[1] == 2){
    str = "L";
    if(global.playerdgnmap[1] >= 0 && global.playerdgnmap[1] < 9){
        if(ds_grid_get(grd_dgn_nums, 0, global.playerdgnmap[1]) != -1 && global.playerdgnpos[1] >= 0 && global.playerdgnpos[1] < 64){
            dnum = ds_grid_get(grd_dgn_nums, 0, global.playerdgnmap[1]);
            if(dnum > 8){ //correct for 2nd quest
                dnum -= 9;
            }
            str += string(dnum + 1) + "-";
        }
        else if(ds_grid_get(grd_auto_dgnlevels, 0, global.playerdgnmap[1]) != 0 && global.playerdgnpos[1] >= 0 && global.playerdgnpos[1] < 64){
            str += string(ds_grid_get(grd_auto_dgnlevels, 0, global.playerdgnmap[1])) + "-";
        }
        else{
            str += "?-";
        }
    }
    else{
        str += "?-";
    }
    if(global.playerdgnpos[1] >= 0 && global.playerdgnpos[1] < 64){
        str += zh_get_hex_char(global.playerdgnpos[1] + (8 * (global.playerdgnpos[1] div 8)));
    }
    else{
        str += "??";
    }
}
else{
    str = "??-??";
}
draw_text(68, 185, string_hash_to_newline(str));

//2
if(global.playermaptype[2] == 1){
    if(global.playerowpos[2] >= 0 && global.playerowpos[2] < 128){
        str = "OW-" + zh_get_hex_char(global.playerowpos[2]);
    }
    else{
        str = "OW-??";
    }
}
else if(global.playermaptype[2] == 2){
    str = "L";
    if(global.playerdgnmap[2] >= 0 && global.playerdgnmap[2] < 9){
        if(ds_grid_get(grd_dgn_nums, 0, global.playerdgnmap[2]) != -1 && global.playerdgnpos[2] >= 0 && global.playerdgnpos[2] < 64){
            dnum = ds_grid_get(grd_dgn_nums, 0, global.playerdgnmap[2]);
            if(dnum > 8){ //correct for 2nd quest
                dnum -= 9;
            }
            str += string(dnum + 1) + "-";
        }
        else if(ds_grid_get(grd_auto_dgnlevels, 0, global.playerdgnmap[2]) != 0 && global.playerdgnpos[2] >= 0 && global.playerdgnpos[2] < 64){
            str += string(ds_grid_get(grd_auto_dgnlevels, 0, global.playerdgnmap[2])) + "-";
        }
        else{
            str += "?-";
        }
    }
    else{
        str += "?-";
    }
    if(global.playerdgnpos[2] >= 0 && global.playerdgnpos[2] < 64){
        str += zh_get_hex_char(global.playerdgnpos[2] + (8 * (global.playerdgnpos[2] div 8)));
    }
    else{
        str += "??";
    }
}
else{
    str = "??-??";
}
draw_text(68, 193, string_hash_to_newline(str));

//3
if(global.playermaptype[3] == 1){
    if(global.playerowpos[3] >= 0 && global.playerowpos[3] < 128){
        str = "OW-" + zh_get_hex_char(global.playerowpos[3]);
    }
    else{
        str = "OW-??";
    }
}
else if(global.playermaptype[3] == 2){
    str = "L";
    if(global.playerdgnmap[3] >= 0 && global.playerdgnmap[3] < 9){
        if(ds_grid_get(grd_dgn_nums, 0, global.playerdgnmap[3]) != -1 && global.playerdgnpos[3] >= 0 && global.playerdgnpos[3] < 64){
            dnum = ds_grid_get(grd_dgn_nums, 0, global.playerdgnmap[3]);
            if(dnum > 8){ //correct for 2nd quest
                dnum -= 9;
            }
            str += string(dnum + 1) + "-";
        }
        else if(ds_grid_get(grd_auto_dgnlevels, 0, global.playerdgnmap[3]) != 0 && global.playerdgnpos[3] >= 0 && global.playerdgnpos[3] < 64){
            str += string(ds_grid_get(grd_auto_dgnlevels, 0, global.playerdgnmap[3])) + "-";
        }
        else{
            str += "?-";
        }
    }
    else{
        str += "?-";
    }
    if(global.playerdgnpos[3] >= 0 && global.playerdgnpos[3] < 64){
        str += zh_get_hex_char(global.playerdgnpos[3] + (8 * (global.playerdgnpos[3] div 8)));
    }
    else{
        str += "??";
    }
}
else{
    str = "??-??";
}
draw_text(68, 201, string_hash_to_newline(str));

//4
if(global.playermaptype[4] == 1){
    if(global.playerowpos[4] >= 0 && global.playerowpos[4] < 128){
        str = "OW-" + zh_get_hex_char(global.playerowpos[4]);
    }
    else{
        str = "OW-??";
    }
}
else if(global.playermaptype[4] == 2){
    str = "L";
    if(global.playerdgnmap[4] >= 0 && global.playerdgnmap[4] < 9){
        if(ds_grid_get(grd_dgn_nums, 0, global.playerdgnmap[4]) != -1 && global.playerdgnpos[4] >= 0 && global.playerdgnpos[4] < 64){
            dnum = ds_grid_get(grd_dgn_nums, 0, global.playerdgnmap[4]);
            if(dnum > 8){ //correct for 2nd quest
                dnum -= 9;
            }
            str += string(dnum + 1) + "-";
        }
        else if(ds_grid_get(grd_auto_dgnlevels, 0, global.playerdgnmap[4]) != 0 && global.playerdgnpos[4] >= 0 && global.playerdgnpos[4] < 64){
            str += string(ds_grid_get(grd_auto_dgnlevels, 0, global.playerdgnmap[4])) + "-";
        }
        else{
            str += "?-";
        }
    }
    else{
        str += "?-";
    }
    if(global.playerdgnpos[4] >= 0 && global.playerdgnpos[4] < 64){
        str += zh_get_hex_char(global.playerdgnpos[4] + (8 * (global.playerdgnpos[4] div 8)));
    }
    else{
        str += "??";
    }
}
else{
    str = "??-??";
}
draw_text(161, 177, string_hash_to_newline(str));

//5
if(global.playermaptype[5] == 1){
    if(global.playerowpos[5] >= 0 && global.playerowpos[5] < 128){
        str = "OW-" + zh_get_hex_char(global.playerowpos[5]);
    }
    else{
        str = "OW-??";
    }
}
else if(global.playermaptype[5] == 2){
    str = "L";
    if(global.playerdgnmap[5] >= 0 && global.playerdgnmap[5] < 9){
        if(ds_grid_get(grd_dgn_nums, 0, global.playerdgnmap[5]) != -1 && global.playerdgnpos[5] >= 0 && global.playerdgnpos[5] < 64){
            dnum = ds_grid_get(grd_dgn_nums, 0, global.playerdgnmap[5]);
            if(dnum > 8){ //correct for 2nd quest
                dnum -= 9;
            }
            str += string(dnum + 1) + "-";
        }
        else if(ds_grid_get(grd_auto_dgnlevels, 0, global.playerdgnmap[5]) != 0 && global.playerdgnpos[5] >= 0 && global.playerdgnpos[5] < 64){
            str += string(ds_grid_get(grd_auto_dgnlevels, 0, global.playerdgnmap[5])) + "-";
        }
        else{
            str += "?-";
        }
    }
    else{
        str += "?-";
    }
    if(global.playerdgnpos[5] >= 0 && global.playerdgnpos[5] < 64){
        str += zh_get_hex_char(global.playerdgnpos[5] + (8 * (global.playerdgnpos[5] div 8)));
    }
    else{
        str += "??";
    }
}
else{
    str = "??-??";
}
draw_text(161, 185, string_hash_to_newline(str));

//6
if(global.playermaptype[6] == 1){
    if(global.playerowpos[6] >= 0 && global.playerowpos[6] < 128){
        str = "OW-" + zh_get_hex_char(global.playerowpos[6]);
    }
    else{
        str = "OW-??";
    }
}
else if(global.playermaptype[6] == 2){
    str = "L";
    if(global.playerdgnmap[6] >= 0 && global.playerdgnmap[6] < 9){
        if(ds_grid_get(grd_dgn_nums, 0, global.playerdgnmap[6]) != -1 && global.playerdgnpos[6] >= 0 && global.playerdgnpos[6] < 64){
            dnum = ds_grid_get(grd_dgn_nums, 0, global.playerdgnmap[6]);
            if(dnum > 8){ //correct for 2nd quest
                dnum -= 9;
            }
            str += string(dnum + 1) + "-";
        }
        else if(ds_grid_get(grd_auto_dgnlevels, 0, global.playerdgnmap[6]) != 0 && global.playerdgnpos[6] >= 0 && global.playerdgnpos[6] < 64){
            str += string(ds_grid_get(grd_auto_dgnlevels, 0, global.playerdgnmap[6])) + "-";
        }
        else{
            str += "?-";
        }
    }
    else{
        str += "?-";
    }
    if(global.playerdgnpos[6] >= 0 && global.playerdgnpos[6] < 64){
        str += zh_get_hex_char(global.playerdgnpos[6] + (8 * (global.playerdgnpos[6] div 8)));
    }
    else{
        str += "??";
    }
}
else{
    str = "??-??";
}
draw_text(161, 193, string_hash_to_newline(str));

//7
if(global.playermaptype[7] == 1){
    if(global.playerowpos[7] >= 0 && global.playerowpos[7] < 128){
        str = "OW-" + zh_get_hex_char(global.playerowpos[7]);
    }
    else{
        str = "OW-??";
    }
}
else if(global.playermaptype[7] == 2){
    str = "L";
    if(global.playerdgnmap[7] >= 0 && global.playerdgnmap[7] < 9){
        if(ds_grid_get(grd_dgn_nums, 0, global.playerdgnmap[7]) != -1 && global.playerdgnpos[7] >= 0 && global.playerdgnpos[7] < 64){
            dnum = ds_grid_get(grd_dgn_nums, 0, global.playerdgnmap[7]);
            if(dnum > 8){ //correct for 2nd quest
                dnum -= 9;
            }
            str += string(dnum + 1) + "-";
        }
        else if(ds_grid_get(grd_auto_dgnlevels, 0, global.playerdgnmap[7]) != 0 && global.playerdgnpos[7] >= 0 && global.playerdgnpos[7] < 64){
            str += string(ds_grid_get(grd_auto_dgnlevels, 0, global.playerdgnmap[7])) + "-";
        }
        else{
            str += "?-";
        }
    }
    else{
        str += "?-";
    }
    if(global.playerdgnpos[7] >= 0 && global.playerdgnpos[7] < 64){
        str += zh_get_hex_char(global.playerdgnpos[7] + (8 * (global.playerdgnpos[7] div 8)));
    }
    else{
        str += "??";
    }
}
else{
    str = "??-??";
}
draw_text(161, 201, string_hash_to_newline(str));
/*
//shop prefixes
draw_text(184, 177, "B1:");
draw_text(184, 185, "B2:");
draw_text(184, 193, "B3:");
draw_text(184, 201, "B4:");

//shop prices
draw_text(203, 177, "255");
draw_text(223, 177, "255");
draw_text(243, 177, "255");
draw_text(203, 185, "255");
draw_text(223, 185, "255");
draw_text(243, 185, "255");
draw_text(203, 193, "255");
draw_text(223, 193, "255");
draw_text(243, 193, "255");
draw_text(203, 201, "255");
draw_text(223, 201, "255");
draw_text(243, 201, "255");

//shop items
draw_sprite(s_icon_itembox, 9, 195, 176);
draw_sprite(s_icon_itembox, 9, 215, 176);
draw_sprite(s_icon_itembox, 9, 235, 176);
draw_sprite(s_icon_itembox, 9, 195, 184);
draw_sprite(s_icon_itembox, 9, 215, 184);
draw_sprite(s_icon_itembox, 9, 235, 184);
draw_sprite(s_icon_itembox, 9, 195, 192);
draw_sprite(s_icon_itembox, 9, 215, 192);
draw_sprite(s_icon_itembox, 9, 235, 192);
draw_sprite(s_icon_itembox, 9, 195, 200);
draw_sprite(s_icon_itembox, 9, 215, 200);
draw_sprite(s_icon_itembox, 9, 235, 200);
*/
//player names
draw_set_color(global.playercolors[0]);
draw_text(0, 176, string_hash_to_newline(global.playernames[0]));
draw_set_color(global.playercolors[1]);
draw_text(0, 184, string_hash_to_newline(global.playernames[1]));
draw_set_color(global.playercolors[2]);
draw_text(0, 192, string_hash_to_newline(global.playernames[2]));
draw_set_color(global.playercolors[3]);
draw_text(0, 200, string_hash_to_newline(global.playernames[3]));
draw_set_color(global.playercolors[4]);
draw_text(93, 176, string_hash_to_newline(global.playernames[4]));
draw_set_color(global.playercolors[5]);
draw_text(93, 184, string_hash_to_newline(global.playernames[5]));
draw_set_color(global.playercolors[6]);
draw_text(93, 192, string_hash_to_newline(global.playernames[6]));
draw_set_color(global.playercolors[7]);
draw_text(93, 200, string_hash_to_newline(global.playernames[7]));

/* */
/*  */
